-- The followign list is based on greps for specific commands, reports from Lucas,  as well as
-- observations by Lars Hamren.

-- context --nocompression --nodates --trailerid=1 --randomseed=1234 somefile

return {
    exceptions = {
        ["cld/speed-001.tex"]              = { feature = "speedtest" },
        ["cld/speed-002.tex"]              = { feature = "speedtest" },
        ["cld/speed-003.tex"]              = { feature = "speedtest" },
        ["cld/functions-001.tex"]          = { feature = "speedtest" },
        ["speed/arabic-001.tex"]           = { feature = "speedtest" },

        ["projects/cross-001.tex"]         = { feature = "dependencies" },
        ["projects/cross-002.tex"]         = { feature = "dependencies" },
        ["projects/cross-100.tex"]         = { feature = "dependencies" },
        ["projects/cross-200.tex"]         = { feature = "dependencies" },

        ["system/logs-002.tex"]            = { feature = "logdependent" }, -- time ?

    --  ["files/jobname-001.tex"]          = { feature = "maybe" },

    --  ["descriptions/labels-001.tex"]    = { feature = "randomized" },
    --  ["descriptions/labels-002.tex"]    = { feature = "randomized" },
    --  ["directions/hanging-001.tex"]     = { feature = "randomized" },
    --  ["floats/align-001.tex"]           = { feature = "randomized" },
    --  ["floats/captions-003.tex"]        = { feature = "randomized" },
    --  ["floats/captions-004.tex"]        = { feature = "randomized" },
    --  ["floats/captions-006.tex"]        = { feature = "randomized" },
    --  ["floats/groups-001.tex"]          = { feature = "randomized" },
    --  ["floats/itemize-001.tex"]         = { feature = "randomized" },
    --  ["floats/reorder-001.tex"]         = { feature = "randomized" },
    --  ["floats/reorder-002.tex"]         = { feature = "randomized" },
    --  ["floats/sidefloats-003.tex"]      = { feature = "randomized" },
    --  ["floats/tables-001.tex"]          = { feature = "randomized" },
    --  ["graphics/combinations-003.tex"]  = { feature = "randomized" },
    --  ["graphics/dummies-001.tex"]       = { feature = "randomized" },
    --  ["graphics/dummies-002.tex"]       = { feature = "randomized" },
    --  ["layout/experiment-001.tex"]      = { feature = "randomized" },
    --  ["pages/injections-001.tex"]       = { feature = "randomized" },
    --  ["positioning/anchors-001.tex"]    = { feature = "randomized" },
    --  ["references/pagestate-001.tex"]   = { feature = "randomized" },
    --  ["fonts/virtual-001.tex"]          = { feature = "randomized" },
    --  ["graphics/backgrounds-001.tex"]   = { feature = "randomized" },
    --  ["graphics/bitmap-001.tex"]        = { feature = "randomized" },
    --  ["graphics/random-001.tex"]        = { feature = "randomized" },
    --  ["graphics/underbar-011.tex"]      = { feature = "randomized" },
    --  ["itemize/random-001.tex"]         = { feature = "randomized" },
    --  ["math/extremes-001.tex"]          = { feature = "randomized" },
    --  ["metafun/colors-001.tex"]         = { feature = "randomized" },
    --  ["metafun/pictures-001.tex"]       = { feature = "randomized" },

        ["fonts/accents-003.tex"]          = { feature = "specialfonts", fonts = "djajunicode" },
        ["fonts/accents-004.tex"]          = { feature = "specialfonts", fonts = "lucidaot" },
        ["fonts/alternates-001.tex"]       = { feature = "specialfonts", fonts = "scheherazade" },
        ["fonts/arnopro-001.tex"]          = { feature = "specialfonts", fonts = "arnopro" },
        ["fonts/compose-001.tex"]          = { feature = "specialfonts", fonts = "lucida" },
        ["fonts/compose-003.tex"]          = { feature = "specialfonts", fonts = "lucidaot" },
        ["fonts/dashes-003.tex"]           = { feature = "specialfonts", fonts = "hoefler" },
        ["fonts/designsizes-003.tex"]      = { feature = "specialfonts", fonts = "ebgaramond" },
        ["fonts/devanagari-001.tex"]       = { feature = "specialfonts", fonts = "chandras jokila rachana" },
        ["fonts/devanagari-002.tex"]       = { feature = "specialfonts", fonts = "chandras jokila rachana" },
        ["fonts/devanagari-003.tex"]       = { feature = "specialfonts", fonts = "chandras jokila rachana" },
        ["fonts/devanagari-004.tex"]       = { feature = "specialfonts", fonts = "chandras jokila rachana" },
        ["fonts/devanagari-005.tex"]       = { feature = "specialfonts", fonts = "chandras jokila rachana" },
        ["fonts/devanagari-006.tex"]       = { feature = "specialfonts", fonts = "chandras jokila rachana" },
        ["fonts/ebgaramond-001.tex"]       = { feature = "specialfonts", fonts = "ebgaramond" },
        ["fonts/extensions-002.tex"]       = { feature = "specialfonts", fonts = "cambria" },
        ["fonts/extensions-003.tex"]       = { feature = "specialfonts", fonts = "cambria" },
        ["fonts/extensions-004.tex"]       = { feature = "specialfonts", fonts = "cambria" },
        ["fonts/extensions-005.tex"]       = { feature = "specialfonts", fonts = "volkorn" },
        ["fonts/lucida-001.tex"]           = { feature = "specialfonts", fonts = "lucida" },
        ["fonts/lucida-002.tex"]           = { feature = "specialfonts", fonts = "lucida" },
        ["fonts/lucida-003.tex"]           = { feature = "specialfonts", fonts = "lucida" },
        ["fonts/lucida-004.tex"]           = { feature = "specialfonts", fonts = "lbr" },
        ["fonts/lucida-005.tex"]           = { feature = "specialfonts", fonts = "lucida lucidaot" },
        ["fonts/show-001.tex"]             = { feature = "specialfonts", fonts = "lucida" },
        ["fonts/sizes-003.tex"]            = { feature = "specialfonts", fonts = "arialmt" },

        ["math/actuarial-001.tex"]         = { feature = "specialfonts", fonts = "cambria" },
        ["math/asciimath-004.tex"]         = { feature = "specialfonts", fonts = "lucidaot" },
        ["math/bars-001.tex"]              = { feature = "specialfonts", fonts = "cambria" },
        ["math/collapse-001.tex"]          = { feature = "specialfonts", fonts = "cambria" },
        ["math/colons-001.tex"]            = { feature = "specialfonts", fonts = "cambria" },
        ["math/extrasymbols-001.tex"]      = { feature = "specialfonts", fonts = "cambria" },
        ["math/greek-001.tex"]             = { feature = "specialfonts", fonts = "lucidaot" },
        ["math/integrals-001.tex"]         = { feature = "specialfonts", fonts = "cambria" },
        ["math/italics-003.tex"]           = { feature = "specialfonts", fonts = "cambria" },
        ["math/joinrel-001.tex"]           = { feature = "specialfonts", fonts = "lucida" },
        ["math/kerns-001.tex"]             = { feature = "specialfonts", fonts = "cambria" },
        ["math/kerns-001.tex"]             = { feature = "specialfonts", fonts = "lucidaot" },
        ["math/lucida-001.tex"]            = { feature = "specialfonts", fonts = "lucidaot" },
        ["math/lucida-002.tex"]            = { feature = "specialfonts", fonts = "lucidaot cambria" },
        ["math/lucida-003.tex"]            = { feature = "specialfonts", fonts = "lucidaot" },
        ["math/lucida-005.tex"]            = { feature = "specialfonts", fonts = "lucidaot" },
        ["math/mappings-001.tex"]          = { feature = "specialfonts", fonts = "cambria" },
        ["math/minion-001.tex"]            = { feature = "specialfonts", fonts = "minion" },
        ["math/opentype-001.tex"]          = { feature = "specialfonts", fonts = "cambria" },
        ["math/primes-003.tex"]            = { feature = "specialfonts", fonts = "cambria lucidaot" },
        ["math/primes-005.tex"]            = { feature = "specialfonts", fonts = "cambria" },
        ["math/primes-004.tex"]            = { feature = "specialfonts", fonts = "cambria lucidaot" },
        ["math/sans-001.tex"]              = { feature = "specialfonts", fonts = "mainface" },
        ["math/scripts-001.tex"]           = { feature = "specialfonts", fonts = "cambria" },
        ["math/stacking-001.tex"]          = { feature = "specialfonts", fonts = "cambria lucida lucidaot" },
        ["math/stylealternatives-001.tex"] = { feature = "specialfonts", fonts = "lucidaot" },
        ["math/symbols-002.tex"]           = { feature = "specialfonts", fonts = "cambria" },

        ["scripts/ethiopic-001.tex"]       = { feature = "specialfonts", fonts = "abyssinica" },
        ["scripts/korean-001.tex"]         = { feature = "specialfonts", fonts = "myungjo" },
        ["scripts/korean-002.tex"]         = { feature = "specialfonts", fonts = "myungjo" },
        ["scripts/korean-003.tex"]         = { feature = "specialfonts", fonts = "myungjo" },
        ["scripts/korean-004.tex"]         = { feature = "specialfonts", fonts = "unfonts" },
        ["scripts/korean-005.tex"]         = { feature = "specialfonts", fonts = "myungjo" },

        ["sections/bookmarks-006.tex"]     = { feature = "specialfonts", fonts = "mscore" },

        ["typesetting/italics-001.tex"]    = { feature = "specialfonts", fonts = "cambria" },

    }
}
